- Home
- API Enriched
- Statistics
- config
- Subscribe to Flow Collection.
Subscribe to Flow Collection.
POST
/api/config/namespaces/system/flow-collection/addon/subscribe
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/system/flow-collection/addon/subscribe';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"service_type":"FLOW_COLLECTION"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/system/flow-collection/addon/subscribe \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "service_type": "FLOW_COLLECTION" }'Subscribe to Flow Collection.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
SubscribeRequest
Request to subscribe to Flow Collection.
object
service_type
string
Responses
Section titled “Responses”A successful response.
Media typeapplication/json
SubscribeResponse
Response of subscribe to Flow Collection.
object
flow_anomaly_detection_last_enabled_time
Last Enabled Time
Last Enabled Time for flow anomaly detection subscription request.
string format: date-time
last_enabled_time
Last Enabled Time
Last Enabled Time for flow collection subscription request.
string format: date-time
Examplegenerated
{ "flow_anomaly_detection_last_enabled_time": "2026-04-15T12:00:00Z", "last_enabled_time": "2026-04-15T12:00:00Z"}Returned when operation is not authorized.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when there is no permission to access resource.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when resource is not found.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server encountered an error in processing API.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when service is unavailable temporarily.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server timed out processing request.
Media typeapplication/json
string format: string
Examplegenerated
example